:root {
  --black: 18% 0.005 248.12;
  --grey: 40.15% 0.01 207;
  --white: 97% 0 0;
  --blue: 69% 0.127 227.92;
  --orange: 61% 0.178 38.33;
}

body {
  height: 100vh;
  width: 100%;
  margin: 0;
  overflow: hidden;
  background: oklch(var(--grey));
  display: flex;
  flex-flow: column;
  position: relative;
}

.bg {
  position: relative;
  width: 100%;
  height: 100vh;
  max-height: 500px;
  background-image: url("https://stevec.dev/images/canvas-on-wall.jpg");
  background-size: contain;
  background-repeat: repeat-x;
  background-position: 50% 50%;
}

.pngLights {
  position: absolute;
  z-index: 8;
  width: 100%;
  height: 100vh;
  max-height: 500px;
  background-image: url("https://user-images.githubusercontent.com/26748614/96336791-759dc980-1082-11eb-85cb-c8761a9a5672.png"),
    url("https://user-images.githubusercontent.com/26748614/96336777-72a2d900-1082-11eb-9422-8f2ca0a4f302.png"),
    url("https://user-images.githubusercontent.com/26748614/96336777-72a2d900-1082-11eb-9422-8f2ca0a4f302.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: 50% -22px;
}

.pngLights.active {
  background-image: url("https://user-images.githubusercontent.com/26748614/96336791-759dc980-1082-11eb-85cb-c8761a9a5672.png"),
    url("https://user-images.githubusercontent.com/26748614/96336777-72a2d900-1082-11eb-9422-8f2ca0a4f302.png"),
    url("");
}

.cc {
  width: 100%;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
}

#canvas_container1 {
  max-height: 500px;
  z-index: 1;
}

#canvas_container2 {
  height: 100vh;
  z-index: 2;
}

.floor {
  flex: 1 1 auto;
  background-image: url("https://stevec.dev/images/wood-floor.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50% 0%;
}

/****   Buttons   *****/
.buttons {
  position: absolute;
  width: 100%;
  height: 100vh;
  max-height: 500px;
}

.btn {
  position: absolute;
  bottom: 5%;
  z-index: 10;
  border: 1px solid white;
  border-radius: 5px;
  padding: 3px 15px;
  background: oklch(var(--black));
  color: oklch(var(--white));
  -webkit-font-smoothing: antialiased;
  font-size: 18px;
  font-family: "Rajdhani", sans-serif;
  letter-spacing: 1px;
  cursor: pointer;
  user-select: none;
  box-shadow: 5px 3px 12px 0px oklch(var(--black)/0.75);
  transition: color 0.3s;
}

.btn_Works {
  left: 5%;
  text-decoration: none;
}

.btn_Light {
  left: 50%;
  transform: translateX(-50%);
  transform-origin: 25% 50%;
  color: oklch(var(--orange));
}

.btn_Works:hover {
  background: oklch(var(--black));
  color: oklch(var(--blue));
}

.btn_Light:hover {
  background: oklch(var(--black));
  color: oklch(var(--orange));
}

.btn_Light.blink {
  animation: blinkAni 500ms;
}

@keyframes blinkAni {
  0% {
    background: oklch(var(--white));
    transform: scale(1) translateX(-50%);
  }
  50% {
    transform: scale(1.2) translateX(-50%);
  }
  100% {
    transform: scale(1) translateX(-50%);
  }
}

@media only screen and (max-height: 350px) {
  .btn {
    font-size: 4.5vh;
    bottom: 2%;
    box-shadow: none;
    color: oklch(var(--white));
  }
}
